lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "but/version"

Gem::Specification.new do |spec|
  spec.name          = "but"
  spec.version       = But::VERSION
  spec.authors       = ["Raphael Müller"]
  spec.email         = ["raphael.mueller@computational.bio.uni-giessen.de"]
  spec.homepage    = 'https://git.computational.bio.uni-giessen.de/rmueller/bcf_user_tools'
  spec.license       = "MIT"
  spec.required_ruby_version = '>=2.6.0'
  spec.summary     = "Tools, to help users to improve their experience with the BCF infrastructure."
  spec.description = "BCF admins have a hard live. Their user's don't keep their $HOMES and other working places clean. It appears that some users don't know that they use too much space in their home or don't clean used directories on cluster (or other) machines. This tools helps users find unused and unwanted directories, which could make BCF admins happier."

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"

    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = "https://git.computational.bio.uni-giessen.de/rmueller/bcf_user_tools"
    spec.metadata["changelog_uri"] = "https://git.computational.bio.uni-giessen.de/rmueller/bcf_user_tools/-/blob/master/CHANGELOG"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency 'rspec', '>=3.9.0'
  spec.add_development_dependency 'cucumber', '>=4.0.0'
  spec.add_development_dependency 'aruba', '>=1.0.1'
  spec.add_development_dependency 'rubocop', '~> 0.84.0'
  spec.add_development_dependency 'guard', '>= 2.16.2'
  spec.add_development_dependency 'guard-compat', '>= 1.2.1'
  spec.add_development_dependency 'guard-rspec', '>= 4.7.3'
  spec.add_development_dependency 'guard-cucumber', '>= 3.0.0'


  spec.add_dependency 'thor'
  spec.add_dependency 'colorize'
  spec.add_dependency 'ruby-prof'
  spec.add_dependency 'ruby-progressbar'


  spec.metadata    = { "source_code_uri" => "https://git.computational.bio.uni-giessen.de/rmueller/bcf_user_tools" }

  
end
